[Scipy-tickets] [SciPy] #1476: easy_install of 0.9.0 fails on OS X 10.7 (Lion)

SciPy Trac scipy-tickets@scipy....
Mon Jul 18 16:42:52 CDT 2011

#1476: easy_install of 0.9.0 fails on OS X 10.7 (Lion)
 Reporter:  tacoe         |       Owner:  cdavid     
     Type:  defect        |      Status:  new        
 Priority:  normal        |   Milestone:  Unscheduled
Component:  Build issues  |     Version:  0.9.0      
 Keywords:                |  

Comment(by dloewenherz):

 Actually, most of the errors I see are mostly related to mathematical
 operations, such as sqrt. I do see some fortran-related errors, such as
 the following:

 error: Command "/usr/local/bin/gfortran -Wall -arch i686 -arch x86_64
 -Wall -undefined dynamic_lookup -bu
 403-f2pywrappers2.o -lgfortran -o ./_test_ext_module_5403.so" failed with
 exit status 1

 I'm using gfortran version 4.2.4. I'm running these tests off of Numpy

 Apple must have stopped releasing the SDKs in an optional install folder.
 I only see one package (Xcode.mpkg), and "About Xcode.pdf".

 I have a biting suspicion that the reason for these failures is the
 removal of gcc from the OS X toolchain. Everything is now being compiled
 through LLVM.

Ticket URL: <http://projects.scipy.org/scipy/ticket/1476#comment:11>
SciPy <http://www.scipy.org>
SciPy is open-source software for mathematics, science, and engineering.

More information about the Scipy-tickets mailing list